<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <xsl:preserve-space elements="*" />
 <xsl:output method="xml" indent="yes"
	     encoding="ISO-8859-1"
 />

 <xsl:template match="/settings/metisse/lobby">
   <xsl:variable name="path" select="/settings/metisse/lobby" />
   <xsl:choose>
     <xsl:when test="contains($path,'poker-network2.4')">
       <xsl:copy>
	 <xsl:copy-of select="@*" />
	 <xsl:copy-of select="substring-before(., 'poker-network2.4')" />
	 <xsl:text>poker-network</xsl:text>
	 <xsl:copy-of select="substring-after(., 'poker-network2.4')" />
       </xsl:copy>      
     </xsl:when>
     <xsl:otherwise>
       <xsl:copy>
	 <xsl:apply-templates select="@*|node()"/>
       </xsl:copy>
     </xsl:otherwise>
   </xsl:choose>
 </xsl:template>
 
 <xsl:template match="/settings/path">
   <xsl:variable name="path" select="/settings/path" />
   <xsl:choose>
     <xsl:when test="contains($path, 'poker-engine2.4')">
       <xsl:copy>
	 <xsl:copy-of select="@*" />
	 <xsl:copy-of select="substring-before(., 'poker-engine2.4')" />
	 <xsl:text>poker-engine</xsl:text>
	 <xsl:copy-of select="substring-before(substring-after(., 'poker-engine2.4'), 'poker-network2.4')" />
	 <xsl:text>poker-network</xsl:text>
	 <xsl:copy-of select="substring-before(substring-after(., 'poker-network2.4'), 'poker3d2.4')" />
	 <xsl:text>poker3d</xsl:text>
	 <xsl:copy-of select="substring-after(., 'poker3d2.4')" />
	</xsl:copy>
     </xsl:when>
     <xsl:otherwise>
       <xsl:copy>
	 <xsl:apply-templates select="@*|node()"/>
       </xsl:copy>
     </xsl:otherwise>
   </xsl:choose>
 </xsl:template>
 
 <!-- copy the rest verbatim -->
 <xsl:template match="@*|node()">
  <xsl:copy>
   <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
 </xsl:template>

</xsl:stylesheet>
